Package org.apache.maven.scm.command.diff

## Class DiffScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.diff.DiffScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class DiffScmResult
    extends ScmResult

Author:
  Brett Porter
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`DiffScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`DiffScmResult​(java.lang.String commandLine, java.util.List<ScmFile> changedFiles, java.util.Map<java.lang.String,​java.lang.CharSequence> differences, java.lang.String patch)`
`DiffScmResult​(java.util.List<ScmFile> changedFiles, java.util.Map<java.lang.String,​java.lang.CharSequence> differences, java.lang.String patch, ScmResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ScmFile>` `getChangedFiles()`
`java.util.Map<java.lang.String,​java.lang.CharSequence>` `getDifferences()`
`java.lang.String` `getPatch()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiffScmResult

    public DiffScmResult​(java.lang.String commandLine,
                         java.util.List<ScmFile> changedFiles,
                         java.util.Map<java.lang.String,​java.lang.CharSequence> differences,
                         java.lang.String patch)

#### DiffScmResult

    public DiffScmResult​(java.lang.String commandLine,
                         java.lang.String providerMessage,
                         java.lang.String commandOutput,
                         boolean success)

#### DiffScmResult

    public DiffScmResult​(java.util.List<ScmFile> changedFiles,
                         java.util.Map<java.lang.String,​java.lang.CharSequence> differences,
                         java.lang.String patch,
                         ScmResult result)

### Method Detail

#### getChangedFiles

    public java.util.List<ScmFile> getChangedFiles()

#### getDifferences

    public java.util.Map<java.lang.String,​java.lang.CharSequence> getDifferences()

#### getPatch

    public java.lang.String getPatch()